prologin/oldwww/concours/stechec/urls.py
#!/usr/bin/env python
#-*- encoding: utf-8 -*-
"""
urls.py
URL patterns for the stechec app.

Copyright (c) 2008 Pierre "delroth" Bourdon <root@delroth.is-a-geek.org>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from django.conf.urls.defaults import *
from concours.stechec import views, models

urlpatterns = patterns('',
    (r'^$', views.index),
    (r'^login/?$', views.login),
    (r'^logout/?$', views.logout),
    (r'^password/change/?$', views.change_password),
    (r'^status/?$', views.status),
    (r'^champions/all/?$', views.all_champions),
    (r'^champions/my/?$', views.my_champions),
    (r'^champions/upload/?$', views.new_champion),
    (r'^champions/edit/(\d+)/?$', views.edit_champion),
    (r'^champions/delete/(\d+)/?$', views.delete_champion),
    (r'^champions/(\d+)/?$', views.detail_champion),
    (r'^matches/new/?$', views.new_match),
    (r'^matches/all/?$', views.all_matches),
    (r'^matches/my/?$', views.my_matches),
    (r'^matches/(\d+)/?$', views.detail_match),
    (r'^matches/(\d+)/view/?$', views.viewer_watch),
    (r'^viewer/json/(\d+)/(\d+)/?$', views.viewer_json),
    (r'^maps/all/?$', views.all_maps),
    (r'^maps/(\d+)/?$', views.detail_map),
    (r'^editeur/?$', views.editeur),
    (r'^editeur/listmaps/?$', views.editeur_listmaps),
    (r'^editeur/save/?$', views.editeur_save),
    (r'^editeur/open/(\d+)/?$', views.editeur_open),
    (r'^tournois/all/?$', views.all_tournois),
    (r'^tournois/(\d+)/?$', views.detail_tournoi),
)

prologin/oldwww/concours/urls.py
from django.conf.urls.defaults import *

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    (r'^admin/(.*)', admin.site.root),
    (r'^', include('concours.stechec.urls')),
)

prologin/oldwww/concours/stechec/models.py
#!/usr/bin/env python
#-*- encoding: utf-8 -*-
"""
models.py
Models for the Stechec website.

Copyright (c) 2008 Pierre "delroth" Bourdon <root@delroth.is-a-geek.org>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from django.db import models
from django.contrib.auth import models as authmodels
from django.contrib import admin
from concours.stechec.constants import *
import os

class News(models.Model):
    auteur = models.ForeignKey(authmodels.User)
    titre = models.CharField(max_length=256)
    texte = models.TextField()
    date = models.DateTimeField()
    visible = models.BooleanField()

    def __unicode__(self):
        return self.titre

    def get_absolute_url(self):
        return '/news/%d/' % self.id

    class Meta:
        verbose_name_plural = "news"
        ordering = ['-date']

admin.site.register(News)

class Map(models.Model):
    auteur = models.ForeignKey(authmodels.User)
    titre = models.CharField(max_length=256)
    officielle = models.BooleanField(default=False)

    def __unicode__(self):
        return u'%s (de %s)' % (self.titre, self.auteur)

    def delete(self):
        from concours.settings import MAP_PATH
        from os import unlink
        
        try:
            os.unlink(MAP_PATH % self.id)
        except OSError:
            pass

        super(Map, self).delete()

    def get_raw(self):
        from concours.settings import MAP_PATH
        return file(MAP_PATH % self.id).read()

    def set_raw(self, value):
        from concours.settings import MAP_PATH, MAP_WIDTH, MAP_HEIGHT
        from os import chmod
        
        lines = value.split('\n')
        clean_map = []

        for y in xrange(MAP_HEIGHT):
            line = ''
            for x in xrange(MAP_WIDTH):
                try:
                    cell = lines[y][x]
                except KeyError:
                    cell = ' '

                if cell not in 'ABCD$#+ ':
                    cell = ' '

                line += cell
            clean_map.append(line)
    
        fd = file(MAP_PATH % self.id, 'w')
        fd.write('\n'.join(clean_map))
        fd.close()

        chmod(MAP_PATH % self.id, 0664)

    raw = property(get_raw, set_raw)

    def get_absolute_url(self):
        return '/maps/%d/' % self.id

    class Meta:
        verbose_name = 'carte'
        ordering = ['-officielle', 'id']

class Champion(models.Model):
    auteur = models.ForeignKey(authmodels.User)
    supprime = models.BooleanField(default=False, verbose_name=u'Supprimé')
    nom = models.CharField(max_length=64)
    comment = models.TextField(default='')
    statut = models.IntegerField()
    matches = models.ManyToManyField('Match', through='Competiteur')
    position = models.IntegerField(default=-1)

    def __unicode__(self):
        return u'%s (de %s)' % (
            self.nom, self.auteur
        ) + (u' [supprimé]' if self.supprime else '')

    def get_absolute_url(self):
        return '/champions/%d/' % self.id


    @property
    def statut_string(self):
        return STATUTS_CHAMPIONS[self.statut][0]

    @property
    def statut_class(self):
        return STATUTS_CHAMPIONS[self.statut][1]

    @property
    def log_compilation(self):
        from concours.settings import CHAMPION_LOG_PATH
        
        try:
            fd = file(CHAMPION_LOG_PATH % (self.auteur.id, self.id))
            return fd.read().decode('iso-8859-15')
        except Exception, e:
            return str(e)

class Tournoi(models.Model):
    date = models.DateTimeField(auto_now_add=True)

    def get_absolute_url(self):
        return u'/tournois/%d/' % self.id

class ParticipantTournoi(models.Model):
    user = models.ForeignKey(authmodels.User)
    champion = models.ForeignKey(Champion)
    tournoi = models.ForeignKey(Tournoi, related_name="participants")
    score = models.IntegerField()
    indice = models.IntegerField()

class Match(models.Model):
    createur = models.ForeignKey(authmodels.User)
    map = models.ForeignKey(Map, null=True)
    tournoi = models.ForeignKey(Tournoi, null=True)
    statut = models.IntegerField()
    date = models.DateTimeField(auto_now_add=True)
    champions = models.ManyToManyField(Champion, through='Competiteur')

    def delete(self):
        from shutil import rmtree
        from os import unlink
        from concours.settings import MATCH_DIR, VIEWER_PATH
        
        try:
            unlink(VIEWER_PATH % self.id)
        except OSError:
            pass
        
        rmtree(MATCH_DIR % self.id, ignore_errors=True)

        super(Match, self).delete()
    
    def __unicode__(self):
        return u'Match de %s daté du %s' % (
            self.createur, self.date
        )

    def get_absolute_url(self):
        return '/matches/%d/' % self.id

    @property
    def statut_string(self):
        return STATUTS_MATCHES[self.statut][0]

    @property
    def statut_class(self):
        return STATUTS_MATCHES[self.statut][1]
    
    @property
    def is_termine(self):
        return self.statut == STATUT_MATCH_TERMINE

    @property
    def log(self):
        from concours.settings import SERVER_LOG_PATH
        
        try:
            fd = file(SERVER_LOG_PATH % (self.id))
            return fd.read()
        except:
            return ''

    class Meta:
        verbose_name_plural = "matches"
        ordering = ['statut', '-id']

class Competiteur(models.Model):
    match = models.ForeignKey(Match)
    champion = models.ForeignKey(Champion)
    score = models.IntegerField(default=0)
    max_score = None

    def __unicode__(self):
        return u'Match %d, champion %s' % (
            self.match.id, unicode(self.champion)
        )

    @property
    def log(self):
        from concours.settings import COMPETITEUR_LOG_PATH
        try:
            fd = file(COMPETITEUR_LOG_PATH % (self.match.id, self.id))
            return fd.read()
        except:
            return ''

    class Meta:
        ordering = ['-score']

prologin/oldwww/concours/stechec/forms.py
#!/usr/bin/env python
#-*- encoding: utf-8 -*-
"""
forms.py
Forms for Stechec.

Copyright (c) 2008 Pierre "delroth" Bourdon <root@delroth.is-a-geek.org>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from django import forms
from django.forms.util import ValidationError
from concours.stechec.models import Champion, Map
from concours.stechec.constants import *
from concours.stechec.widgets import MapSelect

class ChampionUploadForm(forms.Form):
    nom = forms.CharField(max_length=64, required=True)
    tarball = forms.FileField(required=True, label='Archive (.tgz)')
    commentaire = forms.CharField(required=True, widget=forms.widgets.Textarea())

class ChampionField(forms.Field):
    default_error_messages = {
            'notfound' : u"Ce champion n'existe pas ou n'est pas compilé.",
            'invalid' : u"Vous devez entrer un numéro de champion valide."
    }

    def __init__(self, *args, **kwargs):
        super(ChampionField, self).__init__(*args, **kwargs)

    def clean(self, value):
        super(ChampionField, self).clean(value)
        
        try:
            return Champion.objects.get(
                id=int(value.strip()),
                supprime=False,
                statut=STATUT_CHAMPION_VALIDE)

        except ValueError:
            raise ValidationError(self.error_messages['invalid'])
        
        except Champion.DoesNotExist:
            raise ValidationError(self.error_messages['notfound'])

class CreateMatchForm(forms.Form):
    champion_1 = ChampionField(label='Premier champion')
    champion_2 = ChampionField(label='Deuxième champion')

prologin/oldwww/concours/stechec/templates/all-champions.html
{% extends "base.html" %}

{% block "title" %}Tous les champions{% endblock %}
{% block "titleh1" %}Tous les champions{% endblock %}

{% block "content" %}

<p class="intro">
    Voici la liste de tous les champions inscrits à ce concours.
</p>
{% if is_paginated %}
<p class="pagination">
{% for page in paginator.page_range %}
{% ifequal page_obj.number page %}
    {{ page }}
{% else %}
    <a href="/champions/all/?page={{ page }}">{{ page }}</a>
{% endifequal %}
{% endfor %}
</p>
{% endif %}
<table>
    <thead>
        <tr>
            <th>Numéro</th>
            <th>Nom</th>
            <th>Auteur</th>
            <th>Détails</th>
        </tr>
    </thead>
    <tbody>
        {% for champion in champion_list %}
        <tr class="{% cycle "row1" "row2" %}">
            <td>{{ champion.id }}</td>
            <td>{{ champion.nom }}</td>
            <td>{{ champion.auteur }}</td>
            <td><a href="{{ champion.get_absolute_url }}">Détails</a></td>
        </tr>
        {% empty %}
        <tr><td colspan="7">Il n'y a encore aucun champion inscrit.</td></tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/all-matches.html
{% extends "base.html" %}
{% load humanize %}

{% block "title" %}Tous les matches{% endblock %}
{% block "titleh1" %}Tous les matches{% endblock %}

{% block "content" %}

<p class="intro">
    Voici la liste de tous les matches classés du plus récent au plus ancien.
</p>
{% if is_paginated %}
<p class="pagination">
{% for page in paginator.page_range %}
{% ifequal page_obj.number page %}
    {{ page }}
{% else %}
    <a href="/matches/all/?page={{ page }}">{{ page }}</a>
{% endifequal %}
{% endfor %}
</p>
{% endif %}
<table>
    <thead>
        <tr>
            <th>Numéro</th>
            <th>Créateur</th>
            <th>État</th>
            <th>Date &amp; heure</th>
            <th>Carte</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        {% for match in match_list %}
        <tr class="{% cycle "row1" "row2" %}">
            <td>{{ match.id }}</td>
            <td>{{ match.createur }}</td>
            <td>{{ match.statut_string }}</td>
            <td>{{ match.date|naturalday }} à {{ match.date|time }}</td>
            <td>
                {% if match.is_termine %}
                <a href="/matches/{{ match.id }}/view/">Voir le match</a> - 
                {% endif %}
                
                <a href="{{ match.get_absolute_url }}">Détails</a></td>
        </tr>
        {% empty %}
        <tr><td colspan="7">Il n'y a pas encore de matches.</td></tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/all-tournois.html
{% extends "base.html" %}

{% block "title" %}Tous les tournois{% endblock %}
{% block "titleh1" %}Tous les tournois{% endblock %}

{% block "content" %}
<p class="intro">
  Voici la liste de tous les tournois du concours.
</p>
{% if is_paginated %}
<p class="pagination">
{% for page in paginator.page_range %}
{% ifequal page_obj.number page %}
    {{ page }}
{% else %}
    <a href="/tournois/all/?page={{ page }}">{{ page }}</a>
{% endifequal %}
{% endfor %}
</p>
{% endif %}
<table>
    <thead>
        <tr>
            <th>Date</th>
        </tr>
    </thead>
    <tbody>
        {% for tournoi in tournoi_list %}
        <tr class="{% cycle "row1" "row2" %}">
            <td><a href="{{ tournoi.get_absolute_url }}">{{ tournoi.date }}</a></td>
        </tr>
        {% empty %}
        <tr><td colspan="7">Il n'y a encore aucun tournoi inscrit.</td></tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/detail-champion.html
{% extends "base.html" %}

{% block "title" %}Détails du champion - {{ champion.nom }}{% endblock %}
{% block "titleh1" %}Détails du champion - {{ champion.nom }}{% endblock %}
{% block "head" %}
<script type="text/javascript" src="/media/js/jquery.js"></script>
<script type="text/javascript" src="/media/js/animatedcollapse.js"></script>
<script type="text/javascript">
animatedcollapse.init();
</script>
{% endblock %}

{% block "content" %}


<dl>
    <dt>Nom</dt>
    <dd>{{ champion.nom }}</dd>
    <dt>Auteur</dt>
    <dd>{{ champion.auteur }}</dd>
    <dt>État</dt>
    <dd>{{ champion.statut_string }}</dd>
    <dt>Commentaire</dt>
    <dd>{{ champion.comment|linebreaksbr }}</dd>
</dl>

{% if champion.log_compilation and can_see_log %}
<p><a href="#" rel="toggle[log]">Afficher/cacher le log de compilation</a></p>
<pre id="log">{{ champion.log_compilation }}</pre>
<script type="text/javascript">
animatedcollapse.addDiv('log', 'hide=1');
</script>
{% endif %}
{% endblock %}

prologin/oldwww/concours/stechec/templates/detail-map.html
{% extends "base.html" %}

{% block "head" %}<link rel="stylesheet" href="/media/css/map_rendering.css" type="text/css" />{% endblock %}
{% block "title" %}Détails de la carte - {{ map.titre }}{% endblock %}
{% block "titleh1" %}Détails de la carte - {{ map.titre }}{% endblock %}

{% block "content" %}
<dl>
    <dt>Titre</dt>
    <dd>{{ map.titre }}</dd>
    <dt>Auteur</dt>
    <dd>{{ map.auteur }}</dd>
</dl>
{{ map.html|safe }}

{% endblock %}

prologin/oldwww/concours/stechec/templates/detail-match.html
{% extends "base.html" %}
{% load humanize %}
{% load substract %}

{% block "title" %}Détails du match - #{{ match.id }}{% endblock %}
{% block "titleh1" %}Détails du match - #{{ match.id }}{% endblock %}
{% block "head" %}
<script type="text/javascript" src="/media/js/jquery.js"></script>
<script type="text/javascript" src="/media/js/animatedcollapse.js"></script>
<script type="text/javascript">
animatedcollapse.init();
</script>
{% endblock %}

{% block "content" %}
<dl>
    <dt>Numéro</dt>
    <dd>{{ match.id }}</dd>
    
    <dt>Créateur</dt>
    <dd>{{ match.createur }}</dd>

    <dt>État</dt>
    <dd>{{ match.statut_string }}</dd>
    
    <dt>Date &amp; heure</dt>
    <dd>{{ match.date|naturalday }} à {{ match.date|time }}</dd>
</dl>

<h2>Participants</h2>
<table>
    <tr>
        <th>UID</th>
        <th>ID</th>
        <th>Champion</th>
        <th>Score</th>
        <th>Log</th>
    </tr>

    {% for competiteur in match.competiteur_set.all %}
    <tr>
        <td>{{ competiteur.id|substract:match.competiteur__id__min }}</td>
        <td>{{ competiteur.champion.id }}</td>
        <td>{{ competiteur.champion }}</td>
        {% if match.is_termine %}
            <td>{{ competiteur.score }}</td>
            <td>
                {% ifequal competiteur.champion.auteur request.user %}
                <div class="log">
                    <p><a href="#" rel="toggle[log_{{ competiteur.id }}]">Afficher / cacher le log</a></p>
                    <pre id="log_{{ competiteur.id }}">{{ competiteur.log }}</pre>
                    
                </div>
                
                <script type="text/javascript">
                animatedcollapse.addDiv('log_{{ competiteur.id }}', 'hide=1');
                </script>
                
                {% else %}
                -
                {% endifequal %}
            </td>
        {% else %}
            <td>-</td>
            <td>-</td>
            <td>-</td>
        {% endif %}
    </tr>
    {% endfor %}
</table>

{% if match.is_termine %}
<p>
    <a href="/matches/{{ match.id }}/view/">Voir le match à l'aide de JavaScript</a>
</p>
{% if request.user.is_staff %}

<div class="log">
<p><a href="#" rel="toggle[log]">Afficher/cacher le log du match</a></p>

<pre id="log">{{ match.log }}</pre>
</div>

<script type="text/javascript">
animatedcollapse.addDiv('log', 'hide=1');
</script>

{% endif %}
{% endif %}

{% endblock %}

prologin/oldwww/concours/stechec/templates/detail-tournoi.html
{% extends "base.html" %}

{% block "title" %}Classement du tournoi {{ tournoi.date }}{% endblock %}
{% block "titleh1" %}Classement du tournoi {{ tournoi.date }}{% endblock %}

{% block "content" %}
<table>
 <thead>
  <tr>
   <th>Place</th>
   <th>Candidat</th>
   <th>Champion</th>
   <th>Score</th>
  </tr>
 </thead>
 <tbody>
  {% for participant in participants %}
   <tr>
    <td>{{ forloop.counter }}</td>
    <td>{{ participant.user.username }}</td>
    <td>{{ participant.champion.nom }} (id : {{ participant.champion.id }})</td>
    <td>{{ participant.score }}</td>
   </tr>
  {% endfor %}
 </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/editeur.html
{% extends "base.html" %}

{% block "head" %}
<link rel="stylesheet" href="/media/css/map_rendering.css" type="text/css" />
<link rel="stylesheet" href="/media/css/jquery-ui.css" type="text/css" />
<link rel="stylesheet" href="/media/css/editeur.css" type="text/css" />
{% endblock %}

{% block "title" %}Éditeur de map{% endblock %}
{% block "titleh1" %}Éditeur de map{% endblock %}

{% block "content" %}
<div id="edit_tabs">
    <ul>
        <li><a href="#tabs-1">Ouvrir</a></li>
        <li><a href="#tabs-2">Éditer</a></li>
        <li><a href="#tabs-3">Sauvegarder</a></li>
    </ul>
	<div id="tabs-1">
        <div class="leftcol">
            <textarea id="rawtt" cols="25" rows="25"></textarea>
        </div>
        
        <div class="tabcenter">
            <h3>Charger une carte du site</h3>
            <div id="reload_sel"></div> 
            <select id="selopen" class="mapselect"></select> <button id="bt_loadfromsite">Charger</button>

            <h3>Charger une carte depuis le cookie</h3>
            <button id="bt_loadfromcookie">Charger</button>

            <h3>Charger une carte depuis ce texte</h3>
            <button id="bt_loadfromraw">Charger</button>
        </div>
    </div>
	<div id="tabs-2">
        <div id="toolbar" class="ui-corner-all"><!-- class="ui-widget-header ui-helper-clearfix ui-corner-all">-->
			<div id="blocks" class="tbar">
				<div class="label">Blocs</div>
				<div class="tbitem" title="Mur" id="b_wall"></div>
				<div class="tbitem" title="Caisse" id="b_soft"></div>
				<div class="tbitem" title="Générateur de mèche" id="b_mesh"></div>
				<div class="tbitem" title="Vide" id="b_empty"></div>
				<div class="tbitem" title="Joueur A" id="b_p1"></div>
				<div class="tbitem" title="Joueur B" id="b_p2"></div>
				<div class="tbitem" title="Joueur C" id="b_p3"></div>
				<div class="tbitem" title="Joueur D" id="b_p4"></div>
			</div>
			<div id="tools" class="tbar">
				<div class="label">Outils</div>
				<div class="tbitem" id="t_brush" title="Outil pinceau"></div>
				<div class="tbitem" id="t_rect" title="Outil rectangle"></div>
            </div>
			<div id="actions" class="tbar">
				<div class="label">Actions</div>
				<!--<div class="tbitem" id="a_undo" title="Annuler"></div>
                <div class="tbitem" id="a_redo" title="Refaire"></div>-->
				<div class="tbitem" id="a_empty" title="Effacer tout"></div>
				<div class="tbitem" id="a_grid" title="Afficher/cacher la grille"></div>
            </div>
		</div>
        <div id="map"></div>
        <div id="tips">
            Maintenez les touches Shift et/ou Ctrl pour verrouiller une direction de tracé (X ou Y).<br />
            La molette de la souris permet de changer de bloc rapidement.
        </div>
    </div>
    <div id="tabs-3">
        <div class="leftcol">
            <!-- textarea will be moved here when switching to this tab -->
        </div>
        
        <div class="tabcenter">
            <div id="log">
                <h3>Journal</h3>
                <ul></ul>
            </div>
            
            <h3>Syntaxe</h3>
            
            <p>Murs, blocs incassables : #</p>
            <p>Caisses : $</p>
            <p>Générateurs de mèches : +</p>
            <p>Spawns des champions : A, B, C et D</p>
            <p>Les espaces crééent du vide. Faites un retour à la ligne à la fin de chaque ligne (ne comptez pas sur la césure automatique de la zone de texte).</p>

            <h3>Sauver la carte</h3>
            <p>Dans le site : <button id="bt_savetosite">Sauver</button></p>
            <p>Dans un cookie : <button id="bt_savetocookie">Sauver</button></p>
        </div>
    </div>
</div>  
<script type="text/javascript" src="/media/js/jquery.js"></script>
<script type="text/javascript" src="/media/js/jquery-ui.js"></script>
<script type="text/javascript" src="/media/js/jquery-wheel.js"></script>
<script type="text/javascript" src="/media/js/map_rendering_vars.js"></script>
<script type="text/javascript" src="/media/js/editeur.js"></script>
{% endblock %}

prologin/oldwww/concours/stechec/templates/machine-list.html
{% extends "base.html" %}
{% load my_timesince %}

{% block "title" %}Liste des machines{% endblock %}
{% block "titleh1" %}Liste des machines{% endblock %}
{% block "head" %}<link rel="stylesheet" href="/media/css/jquery-ui.css" type="text/css" />{% endblock %}

{% block "content" %}
<p class="intro">
    Voici la liste des machines qui servent au lancement de vos matches
    et à la compilation de vos champions, avec leur pourcentage d'utilisation.
</p>
<table>
    <thead>
        <tr>
            <th>IP et port</th>
            <th>Dernier ping</th>
            <th>Slots utilisés</th>
            <th>Utilisation</th>
        </tr>
    </thead>
    <tbody>
    {% for ip, port, statut, ping, slots, usage in machines %}
        <tr class="{% cycle "row1" "row2" %}">
            <td><strong>{{ ip }}</strong>:{{ port }}</td>
            <td>il y a {{ ping|my_timesince }}</td>
            <td>{{ slots }}</td>
            <td>
                <div class="ui-progressbar ui-widget ui-widget-content ui-corner-all pbar" title="{{ usage }} %">
                    <div class="ui-progressbar-value ui-widget-header ui-corner-left" style="width: {{ usage }}%;"></div>
                </div>
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/my-matches.html
{% extends "base.html" %}
{% load humanize %}

{% block "title" %}Mes matches{% endblock %}
{% block "titleh1" %}Mes matches{% endblock %}

{% block "content" %}

<p class="intro">
    Voici la liste de tous les matches que vous avez créé.
</p>
{% if is_paginated %}
<p class="pagination">
{% for page in paginator.page_range %}
{% ifequal page_obj.number page %}
    {{ page }}
{% else %}
    <a href="/matches/my/?page={{ page }}">{{ page }}</a>
{% endifequal %}
{% endfor %}
</p>
{% endif %}
<table>
    <thead>
        <tr>
            <th>Numéro</th>
            <th>État</th>
            <th>Date &amp; heure</th>
            <th>Carte</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        {% for match in match_list %}
        <tr class="{% cycle "row1" "row2" %}">
            <td>{{ match.id }}</td>
            <td>{{ match.statut_string }}</td>
            <td>{{ match.date|naturalday }} à {{ match.date|time }}</td>
            <td>
                {% if match.is_termine %}
                <a href="/matches/{{ match.id }}/view/">Voir le match</a> -
                {% endif %}
                
                <a href="{{ match.get_absolute_url }}">Détails</a></td>
        </tr>
        {% empty %}
        <tr><td colspan="7">Vous n'avez pas encore créé de match.</td></tr>
        {% endfor %}
    </tbody>
</table>
{% endblock %}

prologin/oldwww/concours/stechec/templates/new-match-success.html
{% extends "base.html" %}

{% block "title" %}Création réussie{% endblock %}
{% block "titleh1" %}Création réussie{% endblock %}

{% block "content" %}
<p class="intro">
La création du match a réussi, il va être exécuté par nos serveurs puis son état passera à « Terminé » d'ici quelques minutes.<br />
<a href="/matches/{{ match.id }}/">Voir le match</a>
</p>
{% endblock %}

prologin/oldwww/concours/stechec/templates/password-change-success.html
{% extends "base.html" %}

{% block "title" %}Changement réussi{% endblock %}
{% block "titleh1" %}Changement réussi{% endblock %}

{% block "content" %}

<p class="intro">
    Le changement de mot de passe a été effectué avec succès.
</p>
<p>
    <a href="/">Revenir à l'accueil du site</a>
</p>
{% endblock %}

prologin/oldwww/concours/stechec/templates/password-change.html
{% extends "base.html" %}

{% block "title" %}Changement de mot de passe{% endblock %}
{% block "titleh1" %}Changement de mot de passe{% endblock %}

{% block "content" %}

<form action="/password/change/" method="post">
    {{ form.as_p }}
    <p><input type="submit" value="Appliquer le changement"/></p>
</form>
{% endblock %}

prologin/oldwww/concours/stechec/templates/upload-champion.html
{% extends "base.html" %}

{% block "title" %}Uploader un champion{% endblock %}
{% block "titleh1" %}Uploader un champion{% endblock %}

{% block "content" %}
<p class="intro">
</p>

<form action="" method="post" enctype="multipart/form-data">
    {{ form.as_p }}
    <p><input type="submit" value="Uploader"/></p>
</form>
{% endblock %}